aboutsummaryrefslogtreecommitdiffstats
path: root/tests/bram/run-single.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/bram/run-single.sh')
-rw-r--r--tests/bram/run-single.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/bram/run-single.sh b/tests/bram/run-single.sh
index 254e85187..8a022e597 100644
--- a/tests/bram/run-single.sh
+++ b/tests/bram/run-single.sh
@@ -5,5 +5,8 @@ set -e
iverilog -Dvcd_file=\"temp/tb_${1}_${2}.vcd\" -o temp/tb_${1}_${2}.tb temp/brams_${1}_tb.v temp/brams_${1}_ref.v \
temp/synth_${1}_${2}.v temp/brams_${2}.v ../../techlibs/common/simlib.v
temp/tb_${1}_${2}.tb > temp/tb_${1}_${2}.txt
-if grep -H -C1 ERROR temp/tb_${1}_${2}.txt; then exit 1; fi
+if grep -q ERROR temp/tb_${1}_${2}.txt; then
+ grep -HC2 ERROR temp/tb_${1}_${2}.txt | head
+ exit 1
+fi
exit 0